[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalculatorDialog.CalcKey

Implements the event handler signalled to process keys in the dialog.

## Declaration

Source position: extdlgs.pas line 165

`protected procedure TCalculatorDialog.CalcKey(`
`var Key: Char`
`); virtual;`

## Arguments

`Key` |  | Key examined in the event handler.

## Description

CalcKey is a procedure which implements the event handler signalled to process keys in the dialog. CalcKey signals the OnCalcKey event handler (when assigned).

CalcKey is assigned as the OnCalcKey event handler for the TCalculatorForm instance created in the Execute method.

## See also

TCalculatorForm.OnCalcKey
TCalculatorDialog.OnCalcKey |  | OnCalcKey - event handler for a key press in the calculator.
TCalculatorDialog.Execute |  | Creates, configures, and displays the form for the calculator dialog.